Skip to main content
GET
/
api
/
v1
/
projects
/
{projectId}
/
canvases
List canvases in a project
curl --request GET \
  --url https://api.melius.com/api/v1/projects/{projectId}/canvases \
  --header 'Authorization: Bearer <token>' \
  --header 'x-team-id: <api-key>'
import requests

url = "https://api.melius.com/api/v1/projects/{projectId}/canvases"

headers = {
    "Authorization": "Bearer <token>",
    "x-team-id": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'x-team-id': '<api-key>'}
};

fetch('https://api.melius.com/api/v1/projects/{projectId}/canvases', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "nodeCount": 123,
      "sortOrder": 123,
      "worldConfig": {},
      "createdByUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "previewAssets": [
        {
          "url": "<string>",
          "thumbnailUrl": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>"
}
{
  "statusCode": 123,
  "message": "<string>",
  "error": "<string>",
  "retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

projectId
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
offset
integer | null
default:0
Required range: x >= 0

Response

200

data
object[]
required
total
integer
required
Last modified on July 9, 2026